<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package Expressivo
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
 
	<header class="site-header" role="banner">    	

			<div class="row">
			<div class="large-12 columns show-for-large-up hide-for-xsmall-only">
				<div class="row">
					<div class="large-5 medium-5 columns logo-wrap">
					<div class="left-menubutton">
						<p class="date"><?php echo current_time( get_option( 'date_format' ) ); ?></p>
						 <a class="slide-toggle" href="javascript:void(0)" ><i class="fa fa-align-justify"></i></a>
					</div><!-- left menu #end -->			 
						<hgroup>
						<?php
								global $expressivo_settings;
						if ( isset( $expressivo_settings['expressivo_logo_url'] ) && $expressivo_settings['expressivo_logo_url'] ) { ?>
									<div class='site-logo'>
									<a class="logo" href="<?php echo esc_url( home_url() ); ?>" rel="nofollow">
										<img src="<?php echo $expressivo_settings['expressivo_logo_url']; ?>" title="<?php bloginfo( 'description' ); ?>"/>
									</a></div>
									<?php

						} else { ?>
								<h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php esc_attr( bloginfo( 'name' ) ); ?></a></h1>
								<h2 class='site-description'><?php esc_attr( bloginfo( 'description' ) ); ?></h2>

																<div class="mobile-cate">
								<?php wp_dropdown_categories( 'show_option_none=Select category' ); ?>
					
								</div>

															
						<?php } ?>
						</hgroup>

											</div><!-- .site-branding -->
					<div class="large-7 medium-7 columns header-right" >
					<?php if ( is_active_sidebar( 'header_right' ) ) : ?>
							<?php dynamic_sidebar( 'header_right' ); ?>
						<?php endif; ?>

										<?php if ( has_nav_menu( 'primary' ) ) : ?>
	
								 <div id="main-menu" class="menu animated" aria-label="<?php esc_html_e( 'Primary Menu', 'expressivo' ); ?>" >
							<?php
							wp_nav_menu( array(
								'theme_location' => 'primary',
								'menu_class'     => 'menu',
							) );
						?>
				   </div><!-- .main-navigation -->

							<?php endif; ?>

											
					</div>
				</div>	
			</div>	
		  </div>	

			</header><!-- #masthead -->
	

		  <div id="content" class="site-inner">
		 <div class="row clearfix">
			<div class="content-box clearfix">

			
						 <div id="leftside" class="leftside">

				  
									<div class="nav_wrapper"> 
					<?php if ( has_nav_menu( 'cate-menu' ) ) : ?>
				   <nav id="cate-menu" class="cate-menu active">
							<?php
							wp_nav_menu( array(
								'theme_location' => 'cate-menu',
								'menu_class'     => 'cate-menu',
							) );
						?>
				   </nav>
					<?php endif; ?>
				  </div>

					<?php if ( is_active_sidebar( 'sidebar-0' ) ) { ?>
							<?php dynamic_sidebar( 'sidebar-0' ); ?>
					<?php } ?>

						
					   </div>
