<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package expressivo
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article" itemprop="hasPart" itemscope="" itemtype="//schema.org/Article">
<meta itemscope='itemscope' itemprop='mainEntityOfPage' itemType='https://schema.org/WebPage'/>
		
	<?php if ( is_single() ) { ?> <?php } else { ?>
		<?php if ( get_the_post_thumbnail_url( $post,'large' ) ) {	?>
			<?php echo '<a class="post-thumb" href="' . esc_url( get_permalink() ) . '" rel="bookmark">'; ?><img src="<?php esc_url( the_post_thumbnail_url( 'large' ) ); ?>" alt="<?php the_title();?>" /></a>
			<?php } ?>
	<?php } ?>

		<?php expressivo_post_first_image(); ?>	

	  
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' );
		} else {
			echo '<h2 class="entry-title" itemprop="headline"><a class="title" itemprop="url" itemprop="url" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
			the_title();
			echo '</a></h2>';
		}

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php expressivo_posted_on(); ?>  
			
			<?php echo ' <span class="hr">/</span> <i class="fa fa-comment"></i>';
			if ( ! comments_open() && ! pings_open() ) {
				echo '<span class="c-off">' . esc_html__( 'Off','expressivo' ) . '</span>';
			} else {
				comments_popup_link( esc_html__( '0', 'expressivo' ), esc_html__( '1', 'expressivo' ), esc_html__( '%', 'expressivo' ) );
			}
				echo ''; ?>

					</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content" itemprop="description">
		<?php

		if ( ! is_single() ) {
			the_excerpt();
		} else {
			the_content();
		}

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'expressivo' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );

		?>

		
		 
			 </div><!-- .entry-content -->

			<?php
			if ( ! is_single() ) {
				echo '<p class="more-link"><a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . esc_html__( 'Keep Reading','expressivo' ) . '<i class="fa fa-angle-right"></i></a></p>';
			}

			if ( is_single() ) { ?>

					<p class="tags"><?php the_tags( '<span class="tags-title">' . esc_html__( 'Tags:', 'expressivo' ) . '</span> ', '  ', '' ); ?></p>

				<div class="social-media-shareicon">    
					<ul>
						<li><a class="twitter" href="//twitter.com/home?status=Reading: <?php esc_url( the_permalink() ); ?>" title="<?php esc_html_e( 'Share this post on Twitter!','expressivo' ); ?>" target="_blank"><i class="step fa fa-twitter"></i><span class="social-button-count"><?php esc_html_e( 'Twitter','expressivo' ); ?> </span></a></li> 
						<li><a class="facebook" href="//www.facebook.com/sharer.php?u=<?php esc_url( the_permalink() );?>&amp;t=<?php esc_attr( the_title() ); ?>" title="<?php esc_html_e( 'Share this post on Facebook!','expressivo' ); ?>" target="_blank"> <i class="step fa fa-facebook"></i><span class="social-button-count"><?php esc_html_e( 'Facebook','expressivo' ); ?></span></a></li>
						<li><a class="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php esc_url( the_permalink() ); ?>"><i class="fa fa-google-plus"></i> <span class="social-button-count"><?php esc_html_e( 'Google+','expressivo' ); ?></span></a></li>
						<li><a class="pinterest" href="//pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>"  count-layout="none"><i class="fa fa-pinterest"></i> <span class="social-button-count"><?php esc_html_e( 'Pin It','expressivo' ); ?></a></span></li>
						<li><a class="linkedin" href="//www.linkedin.com/shareArticle?mini=true&url=<?php esc_url( the_permalink() ); ?>&title=<?php esc_attr( the_title() ); ?>&summary=<?php esc_attr( the_title() ); ?>&source=<?php echo esc_url( home_url() ); ?>"  count-layout="none"><i class="fa fa-linkedin"></i><span class="social-button-count"> <?php esc_html_e( 'LinkedIn','expressivo' );?> </span></a></li>
						<li><a class="email" href="mailto:<?php echo (antispambot( get_the_author_meta( 'email' ) )); ?>"><i class="fa fa-envelope"></i> <span class="social-button-count"> <?php esc_html_e( 'Email','expressivo' ); ?></span> </a></li>
					</ul>
				</div>
				<?php }?>
	
	<?php expressivo_publisher_structured_data(); ?>
	
</article><!-- #post-## -->
