<?php
if ( ! class_exists( 'Expressivo_quote_of_day' ) ) {
	class Expressivo_quote_of_day extends WP_Widget {

		function __construct() {
			/* Constructor */
			$widget_ops = array(
				'classname' => 'widget quote of the day',
				'description' => esc_html__( 'Quote of the Day Widget allows you to display random or quotes, reviews, showcases, or text on your site.','expressivo' ),
			);
			parent::__construct( 'quote_of_day_widget',apply_filters( 'expressivo_quote_of_day_widget_title_filter',esc_html__( 'Quote Of The Day','expressivo' ) ), $widget_ops );

		}
		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );

			$link_text = empty( $instance['link_text'] ) ? '' : apply_filters( 'widget_title', $instance['link_text'] );
			$link_url = empty( $instance['link_url'] ) ? '' : apply_filters( 'widget_title', $instance['link_url'] );

			$author_text = empty( $instance['author'] ) ? '' : apply_filters( 'widget_author', $instance['author'] );
			$quote_text = empty( $instance['quotetext'] ) ? '' : apply_filters( 'widget_quotetext', $instance['quotetext'] );

		?>
		<div class="widget widget_quoteoftheday">
		 
			<?php if ( $title ) {?><h3 class="widget-title"><?php echo sprintf( esc_html__( '%s','expressivo' ), $title ); ?></h3><?php }?>        
			<?php
			if ( count( $author_text ) > 0 ) {?>
			<div id="quoteofday" class="quote_of_the_day">
			<?php
			if ( count( $author_text ) <= 1 ) {

				if ( @$author_text[0] != '' ) {?>	
				 <span class="active">

											<?php echo wp_kses( $quote_text[0], wp_kses_allowed_html( 'post' ) ); ?>
							<?php if ( $author_text[0] ) {?> <cite> - <?php echo wp_kses( $author_text[0], wp_kses_allowed_html( 'post' ) ); ?></cite><?php }?>

								 </span>
				<?php }
			} else {
				for ( $t = 0; $t < 1; $t++ ) {
					$c = rand( 0,(count( $author_text ) -1) );

					$do_not_repeat = $c;
					if ( @$author_text[ $c ] != '' ) {?>	
					 <span class="active">
					
								<?php echo wp_kses( $quote_text[ $c ], wp_kses_allowed_html( 'post' ) );?>
								<?php if ( $author_text[ $c ] ) {?> <cite> - <?php echo wp_kses( $author_text[ $c ], wp_kses_allowed_html( 'post' ) ); ?></cite><?php }?>
					
					 </span>
					<?php }
				}
			}?>
	   </div>
		<?php
		if ( $link_url != '' && $link_text != '' ) { ?>
			<a href="<?php echo esc_url( $link_url ); ?>"><?php echo wp_kses( $link_text, wp_kses_allowed_html( 'post' ) ); ?></a>
		<?php } ?>
	  </div>         
		<?php
			}// End if().
			echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
		function update( $new_instance, $old_instance ) {
			//save the widget
			return $new_instance;
		}
		function form( $instance ) {
			//widgetform in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => '',
				'link_text' => '',
				'link_url' => '',
				'author' => '',
				'quotetext' => '',
			) );
			$title = strip_tags( $instance['title'] );
			$link_text = strip_tags( $instance['link_text'] );
			$link_url = strip_tags( $instance['link_url'] );

			$author1 = ($instance['author']);
			$quotetext1 = ($instance['quotetext']);

			global $author,$quotetext;
			$text_author = $this->get_field_name( 'author' );
			$text_quotetext = $this->get_field_name( 'quotetext' );
			?>

			<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title : ','expressivo' );?><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></label></p>

		<p>
		  <label for="<?php echo $this->get_field_id( 'quotetext' ); ?>"><?php esc_html_e( 'Quote text: ','expressivo' );?>
		  <textarea class="widefat" id="<?php echo $this->get_field_id( 'quotetext' ); ?>" name="<?php echo $text_quotetext; ?>[]" type="text" ><?php echo esc_attr( @$quotetext1[0] ); ?></textarea>
		  </label>
		</p>

		<p>
		  <label for="<?php echo $this->get_field_id( 'author' ); ?>"><?php esc_html_e( 'Author name:','expressivo' );?>
		  <input class="widefat" id="<?php echo $this->get_field_id( 'author' ); ?>" name="<?php echo $text_author; ?>[]" type="text" value="<?php echo esc_attr( @$author1[0] ); ?>" />
		  </label>
		</p>
			<div id="tGroup" class="tGroup">
			<?php
			for ( $i = 1;$i < count( $author1 );$i++ ) {
				if ( $author1[ $i ] != '' ) {
					$j = $i + 1;
					echo '<div  class="TextDiv' . $j . '">';
					echo '<p>';

					echo '<label>' . esc_html__( 'Quote Text','expressivo' ) . $j;
					echo ' <textarea class="widefat"  name="' . $text_quotetext . '[]" >' . esc_attr( $quotetext1[ $i ] ) . '</textarea>';
					echo '</label>';

					echo '</p>';
					echo '<p>';
					echo '<label>' . esc_html__( 'Author Name','expressivo' ) . $j;
					echo ' <input type="text" class="widefat"  name="' . $text_author . '[]" value="' . esc_attr( $author1[ $i ] ) . '"></label>';
					echo '</label>';
					echo '</p>';
					echo '</div>';
				}
			}
			$input = 'quote_counter' . rand() . time();
			?>
			</div>
			<a href="javascript:void(0);" id="addtButton" class="addButton" type="button" onclick="expressivo_add_tfields('<?php echo $text_author; ?>','<?php echo $text_quotetext; ?>','<?php echo $input ?>');"><?php esc_html_e( '+ Add more','expressivo' ); ?></a>
			<a href="javascript:void(0);" id="removetButton" class="removeButton" type="button" onclick="remove_tfields('<?php echo $input ?>');"><?php esc_html_e( '- Remove','expressivo' ); ?></a>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'link_text' ); ?>"><?php esc_html_e( 'Link Text','expressivo' );?> :
					<input class="widefat" id="<?php echo $this->get_field_id( 'link_text' ); ?>" name="<?php echo $this->get_field_name( 'link_text' ); ?>" type="text" value="<?php echo esc_attr( $link_text ); ?>" />
				</label>
			</p>
			<p>
				<label for="<?php echo $this->get_field_id( 'link_url' ); ?>"><?php esc_html_e( 'Link Url','expressivo' );?> :
					<input class="widefat" id="<?php echo $this->get_field_id( 'link_url' ); ?>" name="<?php echo $this->get_field_name( 'link_url' ); ?>" type="text" value="<?php echo esc_attr( $link_url ); ?>" />
				</label>
			</p>
			
			<input type="hidden" value="<?php echo ($j + 1); ?>" id="<?php echo $input; ?>"/>
			<?php

		}
	}
}// End if().
?>
