<?php
/*
*
* Social Footer Widget
*/
class Expressivo_social_footer_Widget extends WP_Widget {

	function __construct() {
		/* Constructor */
		$widget_ops = array(
			'classname' => 'widget social-media-footer',
			'description' => esc_html__( 'Footer top Strip Social Media','expressivo' ),
		);
		parent::__construct( 'Expressivo_social_footer_Widget', esc_html__( 'Social Media Footer Top Strip - Widget','expressivo' ), $widget_ops );

	}
	function widget( $args, $instance ) {
		// prints the widget
		extract( $args, EXTR_SKIP );
		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$facebook = empty( $instance['facebook'] ) ? '' : apply_filters( 'widget_facebook', $instance['facebook'] );
		$twitter = empty( $instance['twitter'] ) ? '' : apply_filters( 'widget_twitter', $instance['twitter'] );
		$instagram = empty( $instance['instagram'] ) ? '' : apply_filters( 'widget_instagram', $instance['instagram'] );
		$bloglovin = empty( $instance['bloglovin'] ) ? '' : apply_filters( 'widget_bloglovin', $instance['bloglovin'] );
		$gplus = empty( $instance['gplus'] ) ? '' : apply_filters( 'widget_gplus', $instance['gplus'] );
		$tumblr = empty( $instance['tumblr'] ) ? '' : apply_filters( 'widget_tumblr', $instance['tumblr'] );
		$youtube = empty( $instance['youtube'] ) ? '' : apply_filters( 'widget_youtube', $instance['youtube'] );

		global $post;
		if ( $post ) {
			$user_info = get_userdata( $post->post_author );
			echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			?>						
			<div class="widget widget_sm_footer">
			 
					<?php if ( $title ) { ?>
				  <h3 class="widget-title"> <?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?> </h3>
					<?php }?>
				 
			   
				 <ul class="sm_footer">
						<?php if ( $facebook ) { ?>
					 <li><a href="<?php echo esc_url( $facebook ); ?>" class="facebook"><i class="fa fa-facebook-square"></i><?php _esc_html_e( 'Facebook','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $twitter ) { ?>
					 <li><a href="<?php echo esc_url( $twitter ); ?>" class="twitter"><i class="fa fa-twitter-square"></i> <?php _esc_html_e( 'Twitter','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $instagram ) { ?>
					 <li><a href="<?php echo esc_url( $instagram ); ?>" class="instagram"><i class="fa fa-instagram"></i> <?php _esc_html_e( 'Instagram','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $bloglovin ) { ?>
					 <li><a href="<?php echo esc_url( $bloglovin ); ?>" class="bloglovin"><i class="fa fa-heart"></i> <?php _esc_html_e( 'Bloglovin','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $gplus ) { ?>
					 <li><a href="<?php echo esc_url( $gplus ); ?>" class="gplus"><i class="fa fa-google-plus"></i> <?php _esc_html_e( 'Google Plus','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $tumblr ) { ?>
					 <li><a href="<?php echo esc_url( $tumblr ); ?>" class="tumblr"><i class="fa fa-tumblr-square"></i> <?php _esc_html_e( 'Thumblr','expressivo' ); ?></a></li>
						<?php } ?>
						<?php if ( $youtube ) { ?>
					 <li><a href="<?php echo esc_url( $youtube ); ?>" class="youtube"><i class="fa fa-youtube-play"></i> <?php _esc_html_e( 'YouTube','expressivo' ); ?></a></li>
						<?php } ?>

				 </ul>
				 
			</div>                     
		<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}// End if().
	}
	function update( $new_instance, $old_instance ) {
		//save the widget
		return $new_instance;
	}
	function form( $instance ) {
		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array(
			'title' => '',
			'facebook' => '',
			'twitter' => '',
			'instagram' => '',
			'bloglovin' => '',
			'gplus' => '',
			'tumblr' => '',
			'youtube' => '',
		) );
		$title = sanitize_text_field( $instance['title'] );
		$facebook = sanitize_text_field( $instance['facebook'] );
		$twitter = sanitize_text_field( $instance['twitter'] );
		$instagram = sanitize_text_field( $instance['instagram'] );
		$bloglovin = sanitize_text_field( $instance['bloglovin'] );
		$gplus = sanitize_text_field( $instance['gplus'] );
		$tumblr = sanitize_text_field( $instance['tumblr'] );
		$youtube = sanitize_text_field( $instance['youtube'] );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php esc_html_e( 'Facebook URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_url( $facebook ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php esc_html_e( 'Twitter URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_url( $twitter ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'instagram' ); ?>"><?php esc_html_e( 'Instagram URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" type="text" value="<?php echo esc_url( $instagram ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'bloglovin' ); ?>"><?php esc_html_e( 'Bloglovin URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'bloglovin' ); ?>" name="<?php echo $this->get_field_name( 'bloglovin' ); ?>" type="text" value="<?php echo esC_url( $bloglovin ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'gplus' ); ?>"><?php esc_html_e( 'Google Plus URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'gplus' ); ?>" name="<?php echo $this->get_field_name( 'gplus' ); ?>" type="text" value="<?php echo $gplus; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'tumblr' ); ?>"><?php esc_html_e( 'Tumblr URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'tumblr' ); ?>" name="<?php echo $this->get_field_name( 'tumblr' ); ?>" type="text" value="<?php echo esc_url( $tumblr ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'youtube' ); ?>"><?php esc_html_e( 'Youtube URL:','expressivo' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'youtube' ); ?>" name="<?php echo $this->get_field_name( 'youtube' ); ?>" type="text" value="<?php echo esc_url( $youtube ); ?>" />
		</p>
	<?php
	}
}
?>
